@font-face {
  font-family: "Tektur";
  src:
    local("Tektur-Regular"),
    url("../fonts/Tektur-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Tektur";
  src:
    local("Tektur-Medium"),
    url("../fonts/Tektur-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Tektur";
  src:
    local("Tektur-Bold"),
    url("../fonts/Tektur-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

:root {
  --color-black: #333333;
  --color-white: #ffffff;
  --color-gray: #f3f3f3;
  --color-red: #e53c4b;

  --border-radius-s: 15px;
  --border-radius-l: 30px;
}

*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scrollbar-width: thin;
  scrollbar-color: var(--color-red) var(--color-black);
  scroll-padding-top: 50px;
}

body {
  min-width: 320px;
  margin: 0;
  padding: 0;
  font-family: "Tektur", sans-serif;
  font-weight: 400;
  color: var(--color-black);
}

p {
  line-height: 140%;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  display: block;
  height: auto;
  width: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

.container {
  max-width: 1350px;
  margin: 0 auto;
  padding: 0 30px;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  -webkit-clip-path: inset(100%);
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.btn-reset {
  background-color: transparent;
  border: 0;
  padding: 0;
  cursor: pointer;
}

.list-reset {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.body-hidden {
  overflow-y: hidden;
}

.section {
  padding-top: 40px;
  padding-bottom: 40px;
}

.section__title {
  position: relative;
  margin: 0;
  margin-bottom: 20px;
  padding-left: 40px;
  font-size: 36px;
}

.section__title::before {
  content: "//";
  position: absolute;
  left: 0;
  color: var(--color-red);
}

.logo {
  z-index: 100;
  font-size: 24px;
  font-weight: 700;
  color: var(--color-red);
}

.nav__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 10px;
}

.nav__link {
  border-radius: var(--border-radius-l);
  padding: 5px 12px;
  line-height: 100%;
  -webkit-transition:
    color 0.2s ease,
    background-color 0.2s ease,
    outline 0.2s ease;
  -o-transition:
    color 0.2s ease,
    background-color 0.2s ease,
    outline 0.2s ease;
  transition:
    color 0.2s ease,
    background-color 0.2s ease,
    outline 0.2s ease;
}

.nav__link:focus-visible {
  outline: 1px solid var(--color-black);
}

.nav__link:hover:not(:focus-visible) {
  color: var(--color-white);
  background-color: var(--color-black);
}

.nav__link:active:not(:focus-visible) {
  background-color: var(--color-red);
}

.burger {
  z-index: 100;
  display: none;
  visibility: hidden;
  position: relative;
  width: 40px;
  height: 40px;
}

.burger__line {
  position: absolute;
  height: 4px;
  width: 80%;
  border-radius: 10px;
  background-color: var(--color-black);
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  -webkit-transition:
    opacity 0.2s ease,
    -webkit-transform 0.2s ease;
  transition:
    opacity 0.2s ease,
    -webkit-transform 0.2s ease;
  -o-transition:
    opacity 0.2s ease,
    transform 0.2s ease;
  transition:
    opacity 0.2s ease,
    transform 0.2s ease;
  transition:
    opacity 0.2s ease,
    transform 0.2s ease,
    -webkit-transform 0.2s ease;
  transition:
    opacity 0.2s ease,
    transform 0.2s ease,
    -webkit-transform 0.2s ease;
}

.burger.active .burger__line:nth-child(1) {
  top: 50%;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.burger.active .burger__line:nth-child(2) {
  -webkit-transform: scaleX(0);
  -ms-transform: scaleX(0);
  transform: scaleX(0);
}

.burger.active .burger__line:nth-child(3) {
  top: 50%;
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.burger__line:nth-child(1) {
  top: 25%;
  left: 10%;
}

.burger__line:nth-child(2) {
  top: 50%;
  left: 10%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.burger__line:nth-child(3) {
  bottom: 25%;
  left: 10%;
}

/* header */
.header {
  z-index: 100;
  position: fixed;
  top: 0;
  height: 95px;
  width: 100%;
}

.header__container {
  padding-top: 20px;
  padding-bottom: 20px;
}

.header__box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: var(--border-radius-s);
  padding: 12px 20px;
  -webkit-box-shadow: 0px 3px 5px 0px rgba(0, 0, 0, 0.05);
  box-shadow: 0px 3px 5px 0px rgba(0, 0, 0, 0.05);
  background-color: var(--color-white);
}

.header__contacts {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 20px;
}

.header__phone {
  z-index: 100;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 10px;
  height: 30px;
  border-radius: var(--border-radius-l);
  padding: 4px 16px;
  font-size: 14px;
  background-color: var(--color-black);
  -webkit-transition:
    background-color 0.2s ease,
    outline 0.2s ease;
  -o-transition:
    background-color 0.2s ease,
    outline 0.2s ease;
  transition:
    background-color 0.2s ease,
    outline 0.2s ease;
}

.header__phone:focus-visible {
  outline: none;
  background-color: var(--color-red);
}

.header__phone:hover:not(:focus-visible) {
  background-color: var(--color-red);
}

.header__phone:active:not(:focus-visible) {
  background-color: var(--color-black);
}

.header__phone span {
  color: var(--color-white);
}

.header__phone svg path {
  fill: var(--color-white);
}

.header__telegram {
  z-index: 100;
  height: 30px;
}

.header__telegram:focus-visible {
  outline: none;
}

.header__telegram svg path {
  -webkit-transition: fill 0.2s ease;
  -o-transition: fill 0.2s ease;
  transition: fill 0.2s ease;
}

.header__telegram:focus-visible.header__telegram svg path {
  fill: var(--color-red);
}

.header__telegram:hover:not(:focus-visible).header__telegram svg path {
  fill: var(--color-red);
}

.header__telegram:active:not(:focus-visible).header__telegram svg path {
  fill: var(--color-black);
}

/* hero */
.hero {
  padding-top: 120px;
  padding-bottom: 40px;
  background-color: var(--color-gray);
}

.hero__container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.hero__content {
  max-width: 600px;
}

.hero__title {
  margin: 0;
  margin-bottom: 20px;
  font-size: 48px;
  line-height: 100%;
}

.hero__title span {
  color: var(--color-red);
}

.hero__subtitle {
  position: relative;
  display: block;
  padding-left: 10px;
}

.hero__subtitle:not(:last-child) {
  margin-bottom: 10px;
}

.hero__subtitle::before {
  position: absolute;
  content: "";
  left: 0;
  width: 2px;
  height: 100%;
  background-color: var(--color-red);
}

.hero__image {
  max-height: 385px;
  max-width: 500px;
}

/* experience */
.experience__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 30px;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.experience__item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 5px;
  width: calc((100% - 90px) / 4);
  border-radius: var(--border-radius-s);
  padding: 70px 30px 30px 30px;
  background-repeat: no-repeat;
  background-position: center top 30px;
  background-color: var(--color-gray);
}

.experience__item--standing {
  background-image: url("../images/icons/star.svg");
}

.experience__item--time {
  background-image: url("../images/icons/clock.svg");
}

.experience__item--repair {
  background-image: url("../images/icons/computer.svg");
}

.experience__item--diagnostics {
  background-image: url("../images/icons/cash.svg");
}

.experience__item-title {
  margin: 0;
  margin-bottom: auto;
  font-size: 16px;
  font-weight: 400;
  text-align: center;
}

.experience__item-text {
  color: var(--color-red);
  text-align: center;
}

/* catalog */
.catalog__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 30px;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.catalog__item {
  width: calc((100% - 60px) / 3);
}

.card {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  height: 100%;
  border-radius: var(--border-radius-s);
  background-color: var(--color-gray);
}

.card__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  padding: 20px;
}

.card__title {
  margin: 0;
  margin-bottom: 10px;
  font-size: 20px;
}

.card__image {
  height: 220px;
  border-radius: var(--border-radius-s);
  -o-object-fit: cover;
  object-fit: cover;
}

/* stages */
.stages__list {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 30px 1fr 30px 1fr 30px 1fr 30px 1fr;
  grid-template-columns: repeat(5, 1fr);
  gap: 30px;
}

.stages__item {
  position: relative;
  border-radius: var(--border-radius-s);
  padding: 70px 20px 20px 20px;
  background-color: var(--color-gray);
}

.stages__item::before {
  position: absolute;
  content: attr(data-stage);
  left: 20px;
  top: 20px;
  font-size: 36px;
  font-weight: 700;
  color: var(--color-red);
}

.stages__item-title {
  margin: 0;
  margin-bottom: 10px;
}

.stages__descr {
  margin: 0;
}

/* advantages */
.advantages__list {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 30px 1fr 30px 1fr;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  background-image: url("../images/phone-details.svg");
  background-repeat: no-repeat;
  background-position: center;
}

.advantages__item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 20px;
  position: relative;
  padding: 10px 20px;
  background-color: var(--color-gray);
}

.advantages__item:nth-child(2n + 1) {
  -ms-grid-column: 1;
  -ms-grid-column-span: 1;
  grid-column: 1 / 2;
}

.advantages__item:nth-child(2n) {
  -ms-grid-column: 3;
  -ms-grid-column-span: 1;
  grid-column: 3 / 4;
}

.advantages__item::before {
  position: absolute;
  content: "";
  top: 0;
  width: 2px;
  height: 100%;
  background-color: var(--color-red);
}

.advantages__item:nth-child(2n + 1)::before {
  left: 0;
}

.advantages__item:nth-child(2n)::before {
  right: 0;
}

.advantages__item-title {
  margin: 0;
  margin-bottom: 10px;
  font-size: 16px;
  font-weight: 700;
}

.advantages__descr {
  margin: 0;
}

/* about */
.about__list {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 30px 1fr 30px 1fr 30px 1fr;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
}

.about__item {
  border-radius: var(--border-radius-s);
  overflow: hidden;
  max-height: 200px;
}

.about__image {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -webkit-filter: grayscale(50%);
  filter: grayscale(50%);
  -webkit-transition:
    -webkit-transform 0.2s ease,
    -webkit-filter 0.2s ease;
  transition:
    -webkit-transform 0.2s ease,
    -webkit-filter 0.2s ease;
  -o-transition:
    transform 0.2s ease,
    filter 0.2s ease;
  transition:
    transform 0.2s ease,
    filter 0.2s ease;
  transition:
    transform 0.2s ease,
    filter 0.2s ease,
    -webkit-transform 0.2s ease,
    -webkit-filter 0.2s ease;
}

.about__link:focus-visible .about__image {
  -webkit-transform: scale(1.1);
  -ms-transform: scale(1.1);
  transform: scale(1.1);
  -webkit-filter: grayscale(0);
  filter: grayscale(0);
}

.about__link:hover:not(:focus-visible) .about__image {
  -webkit-transform: scale(1.1);
  -ms-transform: scale(1.1);
  transform: scale(1.1);
  -webkit-filter: grayscale(0);
  filter: grayscale(0);
}

/* contacts */
.contacts__box {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 30px 1fr 30px 1fr 30px 1fr 30px 1fr 30px 1fr;
  grid-template-columns: repeat(6, 1fr);
  gap: 30px;
}

.contacts__address {
  -ms-grid-column: 1;
  -ms-grid-column-span: 2;
  grid-column: 1 / 3;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  gap: 30px;
  border-radius: var(--border-radius-s);
  padding: 20px;
  font-style: normal;
  background-color: var(--color-gray);
}

.contacts__item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: top;
  -ms-flex-align: top;
  align-items: top;
  gap: 10px;
}

.contacts__item--link {
  -webkit-transition: color 0.2s ease;
  -o-transition: color 0.2s ease;
  transition: color 0.2s ease;
}

.contacts__item--link:focus-visible {
  outline: none;
  color: var(--color-red);
}

.contacts__item--link:hover:not(:focus-visible) {
  color: var(--color-red);
}

.contacts__item--link:active:not(:focus-visible) {
  color: var(--color-black);
}

.contacts__item svg {
  -ms-flex-negative: 0;
  flex-shrink: 0;
}

.contacts__map {
  -ms-grid-column: 3;
  -ms-grid-column-span: 4;
  grid-column: 3 / 7;
  min-height: 250px;
  border-radius: var(--border-radius-s);
  overflow: hidden;
}

/* footer */
.footer__container {
  padding-top: 20px;
  padding-bottom: 20px;
}

.footer__box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: var(--border-radius-s);
  padding: 12px 20px;
  background-color: var(--color-black);
}

.footer__logo {
  color: var(--color-white);
}

.footer__contacts {
  color: var(--color-white);
  font-size: small;
}

.footer__up {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  width: 30px;
  height: 30px;
  background-color: var(--color-white);
  border: none;
  border-radius: var(--border-radius-l);
  cursor: pointer;
  -webkit-transition: background-color 0.2s ease;
  -o-transition: background-color 0.2s ease;
  transition: background-color 0.2s ease;
}

.footer__up:hover {
  background-color: var(--color-red);
}

.footer__up svg path {
  -webkit-transition: fill 0.2s ease;
  -o-transition: fill 0.2s ease;
  transition: fill 0.2s ease;
}

.footer__up:hover.footer__up svg path {
  fill: var(--color-white);
}
